import type { ComponentProps } from 'react';
import { ChartType } from '../..';
import type { Spec } from '../../../specs/spec_type';
import { SpecType } from '../../../specs/spec_type';
import type { WordcloudViewModel } from '../layout/types/viewmodel_types';
/** @alpha */
export interface WordcloudSpec extends Spec, WordcloudViewModel {
    chartType: typeof ChartType.Wordcloud;
    specType: typeof SpecType.Series;
}
/**
 * Adds wordcloud spec to chart
 * @alpha
 */
export declare const Wordcloud: import("react").FC<import("../../../state/spec_factory").SFProps<WordcloudSpec, "chartType" | "specType", "data" | "fontStyle" | "fontWeight" | "fontFamily" | "padding" | "minFontSize" | "maxFontSize" | "exponent" | "startAngle" | "endAngle" | "angleCount" | "spiral" | "weightFn" | "outOfRoomCallback", never, "id">>;
/** @public */
export type WordcloudProps = ComponentProps<typeof Wordcloud>;
export { WordModel, WeightFn, OutOfRoomCallback } from '../layout/types/viewmodel_types';
//# sourceMappingURL=index.d.ts.map