import type { $Values } from 'utility-types';
import type { PrimitiveValue } from '../chart_types/partition_chart/layout/utils/group_by_rollup';
/** @public */
export type LegendItemValue = {
    value: PrimitiveValue;
    label: string;
    type: LegendValue;
};
/** @public */
export declare const LegendValue: Readonly<{
    /** Value of the bucket being hovered or last bucket value when not hovering. */
    CurrentAndLastValue: "currentAndLastValue";
    /** Last value considering all data points in the chart */
    LastValue: "lastValue";
    /** Last non-null value */
    LastNonNullValue: "lastNonNullValue";
    /** Average value considering all data points in the chart */
    Average: "average";
    /** Median value considering all data points in the chart */
    Median: "median";
    /** Maximum value considering all data points in the chart */
    Max: "max";
    /** Minimum value considering all data points in the chart */
    Min: "min";
    /** First value considering all data points in the chart */
    FirstValue: "firstValue";
    /** First non-null value */
    FirstNonNullValue: "firstNonNullValue";
    /** Sum of al values plotted in the chart */
    Total: "total";
    /** number of data points plotted in the chart */
    Count: "count";
    /** number of data points with different values plotted in the chart */
    DistinctCount: "distinctCount";
    /** Variance of all data points plotted in the chart */
    Variance: "variance";
    /** Standard deviation of all data points plotted in the chart */
    StdDeviation: "stdDeviation";
    /**  Difference between min and max values */
    Range: "range";
    /** Difference between first and last values */
    Difference: "difference";
    /** % difference between first and last values */
    DifferencePercent: "differencePercent";
    /** Partition section value */
    Value: "value";
    /** Partition section value in percent */
    Percent: "percent";
}>;
/** @public */
export type LegendValue = $Values<typeof LegendValue>;
//# sourceMappingURL=legend.d.ts.map