import type { CSSProperties } from 'react';
import React from 'react';
import type { TooltipTableColumn } from './types';
import type { SeriesIdentifier } from '../../../common/series_id';
import type { BaseDatum, TooltipValue } from '../../../specs';
import type { Datum } from '../../../utils/common';
import type { PropsOrChildrenWithProps, ToggleSelectedTooltipItemCallback } from '../types';
type TooltipTableProps<D extends BaseDatum = Datum, SI extends SeriesIdentifier = SeriesIdentifier> = PropsOrChildrenWithProps<{
    columns: TooltipTableColumn<D, SI>[];
    items: TooltipValue<D, SI>[];
    pinned?: boolean;
    onSelect?: ToggleSelectedTooltipItemCallback;
    selected?: TooltipValue<D, SI>[];
}, {
    /**
     * Used to define the column widths, otherwise auto-generated
     */
    gridTemplateColumns: CSSProperties['gridTemplateColumns'];
}, {
    className?: string;
    maxHeight?: CSSProperties['maxHeight'];
}>;
/** @public */
export declare const TooltipTable: <D extends BaseDatum = any, SI extends SeriesIdentifier = SeriesIdentifier>({ className, ...props }: TooltipTableProps<D, SI>) => React.JSX.Element;
export {};
//# sourceMappingURL=tooltip_table.d.ts.map