import React from 'react';
import type { TooltipTableColumn } from './types';
import type { SeriesIdentifier } from '../../../common/series_id';
import type { BaseDatum, TooltipValue } from '../../../specs';
import type { Datum } from '../../../utils/common';
import type { PropsOrChildrenWithProps, ToggleSelectedTooltipItemCallback } from '../types';
type TooltipTableBodyProps<D extends BaseDatum = Datum, SI extends SeriesIdentifier = SeriesIdentifier> = PropsOrChildrenWithProps<{
    items: TooltipValue<D, SI>[];
    columns: TooltipTableColumn<D, SI>[];
    pinned?: boolean;
    onSelect?: ToggleSelectedTooltipItemCallback;
    selected: TooltipValue<D, SI>[];
}, {}, {
    className?: string;
}>;
/** @public */
export declare const TooltipTableBody: <D extends BaseDatum = any, SI extends SeriesIdentifier = SeriesIdentifier>({ className, ...props }: TooltipTableBodyProps<D, SI>) => React.JSX.Element;
export {};
//# sourceMappingURL=tooltip_table_body.d.ts.map