import type { $Values } from 'utility-types';
/**
 * Type of bin aggregations
 * @public
 */
export declare const BinAgg: Readonly<{
    /**
     * Order by sum of values in bin
     */
    Sum: "sum";
    /**
     * Order of values are used as is
     */
    None: "none";
}>;
/** @public */
export type BinAgg = $Values<typeof BinAgg>;
/**
 * Direction of sorting
 * @public
 */
export declare const Direction: Readonly<{
    /**
     * Least to greatest
     */
    Ascending: "ascending";
    /**
     * Greatest to least
     */
    Descending: "descending";
}>;
/** @public */
export type Direction = $Values<typeof Direction>;
/**
 * This enums provides the available tooltip types
 * @public
 */
export declare const TooltipType: Readonly<{
    /** Vertical cursor parallel to x axis */
    VerticalCursor: "vertical";
    /** Vertical and horizontal cursors */
    Crosshairs: "cross";
    /** Follow the mouse coordinates */
    Follow: "follow";
    /** Hide every tooltip */
    None: "none";
}>;
/**
 * The TooltipType
 * @public
 */
export type TooltipType = $Values<typeof TooltipType>;
/**
 * The position to stick the tooltip to
 * @public
 */
export declare const TooltipStickTo: Readonly<{
    Top: "top";
    Bottom: "bottom";
    Middle: "middle";
    Left: "left";
    Right: "right";
    Center: "center";
    MousePosition: "MousePosition";
}>;
/** @public */
export type TooltipStickTo = $Values<typeof TooltipStickTo>;
//# sourceMappingURL=constants.d.ts.map