import type { $Values } from 'utility-types';
import type { ChartType } from '../chart_types';
/** @public */
export declare const SpecType: Readonly<{
    Series: "series";
    Axis: "axis";
    Annotation: "annotation";
    Settings: "settings";
    Tooltip: "tooltip";
    IndexOrder: "index_order";
    SmallMultiples: "small_multiples";
}>;
/** @public */
export type SpecType = $Values<typeof SpecType>;
/** @public */
export interface Spec {
    /** unique Spec identifier */
    id: string;
    /** Chart type define the type of chart that use this spec */
    chartType: ChartType;
    /** The type of spec, can be series, axis, annotation, settings etc */
    specType: SpecType;
}
//# sourceMappingURL=spec_type.d.ts.map