/**
 * Represents the available modifier keys (e.g., Shift, Control, Alt, Meta).
 * These keys correspond to the `MouseEvent` instance properties `shiftKey`, `ctrlKey`, `altKey` and `metaKey`.
 * For more details, see: https://developer.mozilla.org/en-US/docs/Web/API/MouseEvent#instance_properties
 *
 * @public
 */
export type ModifierKeys = 'shiftKey' | 'ctrlKey' | 'altKey' | 'metaKey';
/**
 * Represents the state of modifier keys during an interaction.
 * Each key is a boolean indicating whether it is pressed (`true`) or not (`false`).
 *
 * @public
 */
export type KeyPressed = Record<ModifierKeys, boolean>;
//# sourceMappingURL=keys.d.ts.map